For the complete documentation index, see llms.txt. This page is also available as Markdown.

Magazine Luiza

Learn how to start scraping Magazine Luiza.

With Web Scraper API, you can scrape various types of Magazine Luiza pages; below is an overview of all supported scrapers and their respective source values. The response returns the page HTML in content, in the standard response structure described in Realtime and Push-Pull.

Source
Description

magazineluiza_search

Search page for a search term of your choice.

Any other Magazine Luiza page can be scraped by passing its url alone, no source needed.

Besides the parameters listed below, you can include additional parameters such as user_agent_type, geo_location, render, and more to customize your scraping request. Read more here.

Request samples

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "magazineluiza_search",
        "query": "phone"
    }'
import requests
from pprint import pprint

# Structure payload.
payload = {
    'source': 'magazineluiza_search',
    'query': 'phone'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

Request parameter values

Parameter
Description
Default Value

source

Sets the scraper.

magazineluiza_search

query

The keyword or phrase to search for products.

-

start_page

Starting page number.

1

- mandatory parameter

Last updated

Was this helpful?